curl --request PUT \
--url https://api.hubapi.com/crm/object-tags/2026-09-beta/{objectTypeId}/{tagId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"color": "<string>",
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": [
"<unknown>"
],
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"filterPipelineIds": [
"<string>"
],
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/object-tags/2026-09-beta/{objectTypeId}/{tagId}"
payload = {
"color": "<string>",
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": ["<unknown>"],
"filters": ["<unknown>"]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": True,
"operationType": "BOOL",
"operator": "<string>",
"value": True
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": True,
"operationType": "BOOL",
"operator": "<string>",
"value": True
},
"property": "<string>"
}
]
},
"filterPipelineIds": ["<string>"],
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
color: '<string>',
filterBranch: {
filterBranchOperator: '<string>',
filterBranchType: 'OR',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'AND',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'NOT_ALL',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'NOT_ANY',
filterBranches: ['<unknown>'],
filters: ['<unknown>']
}
],
filters: [{filterType: 'PROPERTY', operation: '<unknown>', property: '<string>'}]
}
],
filters: [
{
filterType: 'PROPERTY',
operation: {
includeObjectsWithNoValueSet: true,
operationType: 'BOOL',
operator: '<string>',
value: true
},
property: '<string>'
}
]
}
],
filters: [
{
filterType: 'PROPERTY',
operation: {
includeObjectsWithNoValueSet: true,
operationType: 'BOOL',
operator: '<string>',
value: true
},
property: '<string>'
}
]
},
filterPipelineIds: ['<string>'],
name: '<string>',
description: '<string>'
})
};
fetch('https://api.hubapi.com/crm/object-tags/2026-09-beta/{objectTypeId}/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": [
"<unknown>"
],
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"filterPipelineIds": [
"<string>"
],
"id": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": 123,
"description": "<string>",
"lastModifiedBy": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update tag (Replace)
Update an existing CRM object tag in your HubSpot account. This operation allows you to modify the properties of a tag identified by its objectTypeId and tagId. Use this endpoint to change tag details such as name, color, and associated filters.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the object type to which the tag belongs.
The unique identifier of the tag to be updated.
Body
A string specifying the color associated with the CRM object tag.
An object that defines the filter branch for the CRM object tag. It can be one of several filter branch types, such as PublicOrFilterBranch or PublicAndFilterBranch.
- OR
- AND
- NOT_ALL
- NOT_ANY
- RESTRICTED
- UNIFIED_EVENTS
- ASSOCIATION
Show child attributes
Show child attributes
An array of strings representing the IDs of the pipelines to which the CRM object tag is applicable.
A string representing the name of the CRM object tag.
A string providing a description of the CRM object tag.
Response
successful operation
The color associated with the CRM object tag, represented as a string.
The date and time when the tag was created, in ISO 8601 format.
An integer indicating the display order of the tag.
A complex object defining the filter branch associated with the tag, which can include various filter types and branches.
- OR
- AND
- NOT_ALL
- NOT_ANY
- RESTRICTED
- UNIFIED_EVENTS
- ASSOCIATION
Show child attributes
Show child attributes
An array of strings representing the pipeline IDs that this tag is associated with.
The unique identifier for the CRM object tag, represented as a string.
The name of the CRM object tag, represented as a string.
The identifier for the type of object this tag is associated with, represented as a string.
The date and time when the tag was last updated, in ISO 8601 format.
An integer representing the ID of the user who created the tag.
A string providing a description of the CRM object tag.
An integer representing the ID of the user who last modified the tag.
Was this page helpful?